Package com.emc.d2fs.models.context

# Class SortOrder

java.lang.Object
com.emc.d2fs.models.context.SortOrder

All Implemented Interfaces:
  `Serializable`

public class SortOrder extends Object implements Serializable

Java class for sortOrder complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="sortOrder">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="attribute" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="isAscending" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="order" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttribute()`
  Gets the value of the attribute property.
  `Integer`
  `getOrder()`
  Gets the value of the order property.
  `boolean`
  `isIsAscending()`
  Gets the value of the isAscending property.
  `void`
  `setAttribute(String value)`
  Sets the value of the attribute property.
  `void`
  `setIsAscending(boolean value)`
  Sets the value of the isAscending property.
  `void`
  `setOrder(Integer value)`
  Sets the value of the order property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SortOrder

    public SortOrder()

- ## Method Details

  - ### getAttribute

    public String getAttribute()
    Gets the value of the attribute property.
    Returns:
      possible object is `String`

  - ### setAttribute

    public void setAttribute(String value)
    Sets the value of the attribute property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsAscending

    public boolean isIsAscending()
    Gets the value of the isAscending property.

  - ### setIsAscending

    public void setIsAscending(boolean value)
    Sets the value of the isAscending property.

  - ### getOrder

    public Integer getOrder()
    Gets the value of the order property.
    Returns:
      possible object is `Integer`

  - ### setOrder

    public void setOrder(Integer value)
    Sets the value of the order property.
    Parameters:
      `value` - allowed object is `Integer`